module.exports = {
  create: {
    requestBody: ["title", "params", "user", "!tenant", "remark"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "title",
      "params",
      "status",
      "dot",
      "progress",
      "uri",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        title: "title",
        create_time: "create_time",
        status: "status",
        dot: "dot",
        user: "user",
        project: "params.project",
        tenant: "tenant",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  start: {
    params: ["!id"],
    service: "start",
  },
};
